#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from snack import SnackScreen, Label, Grid, CompactButton, Form

class AttentionForm(object):
    """
    Окно предупреждения о существовании резервной копии
    """

    def __init__(self, screen):
        """
        screen - экран, на котором будет появляться данное окно
        """
        self.screen = screen
        
    def show(self):
        """
        Конструирует и показывает окно
        """
        labelTextx = Label("      Обнаружена существующая резервная копия.      ")
        labelTexty = Label("При продолжении операции данная копия будет удалена.")
        labelTextz = Label("      Удалить резервную копию и создать новую?      ")
        labelTextq = Label("                                                    ")
        
        gridLabel = Grid(1, 4)
        gridLabel.setField(labelTextx, 0, 0)
        gridLabel.setField(labelTexty, 0, 1)
        gridLabel.setField(labelTextz, 0, 2)
        gridLabel.setField(labelTextq, 0, 3)
        
        btnOk = CompactButton(" Да ")
        btnCancel = CompactButton(" Нет ")
        
        gridButton = Grid(12, 1)
        gridButton.setField(btnOk, 0, 0)
        gridButton.setField(btnCancel, 6, 0)
        
        gridForm = Grid(1, 6)
        gridForm.setField(gridLabel, 0, 0)
        gridForm.setField(gridButton, 0, 5)
        
        f = Form()
        f.add(gridForm)
        self.screen.gridWrappedWindow(gridForm, "Предупреждение")
        result = f.run()
        if result == btnOk:
            return True
        else:
            return False
