#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from snack import SnackScreen, Label, Grid, CompactButton, Form, TextboxReflowed

class MessageBox(object):
    """
    Окно предупреждений
    """
    def __init__(self, screen, title, info):
        """
        screen - экран, на котором будет появляться данное окно
        title - Заголовок окна
        info - Основная надпись окна
        """
        self.screen = screen
        self.title = title
        self.info = info
        self.textboxInfo = TextboxReflowed(50, self.info)
        
    def show(self):
        """
        Конструирует и показывает окно
        """

        labelEmpty = Label("                              ")
        
        gridLabel = Grid(1, 2)
        gridLabel.setField(self.textboxInfo, 0, 0)
        gridLabel.setField(labelEmpty, 0, 1)
        
        btnOk = CompactButton(" OK ")
        
        gridButton = Grid(6, 1)
        gridButton.setField(btnOk, 0, 0)
        
        gridForm = Grid(1, 6)
        gridForm.setField(gridLabel, 0, 0)
        gridForm.setField(gridButton, 0, 5)
        
        f = Form()
        f.add(gridForm)
        self.screen.gridWrappedWindow(gridForm, self.title)
        f.run()

    




        
