#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from snack import Scale, Textbox, GridForm

class ScaleForm():
     """
     Форма прогресса
     """
     def __init__(self, screen, width, title, amount):
         self.step = 0
         self.screen = screen
         self.scale = Scale(width, amount)
         self.label = Textbox(width, 2, '')
         grid = GridForm(screen, title, 1, 2)
         grid.add(self.label, 0, 0)
         grid.add(self.scale, 0, 1)
         grid.draw()
         screen.refresh()

     def setProgress(self, text):
         self.step += 1
         self.scale.set(self.step)
         self.label.setText(text)
         self.screen.refresh()

     def hide(self):
         self.screen.popWindow()
